<?php

declare(strict_types=1);

namespace ComerciaGlobalPayments\AddonPayments\SDK\Encryption\Cypher;

/**
 * Interface WithoutInitializationVectorInterface.
 *
 * Defines an interface for encryption without initialization vector.
 */
interface WithoutInitializationVectorInterface extends CypherInterface
{
    public function encrypt(string $plainText, string $key): string;

    public function decrypt(string $encryptedText, string $key): string;
}
